ExponentialFittingHestonEngine Class Reference

analytic Heston-model engine based on More...

`#include <ql/pricingengines/vanilla/exponentialfittinghestonengine.hpp>`

Inheritance diagram for ExponentialFittingHestonEngine:
[legend]

## Public Types

enum | ControlVariate { AndersenPiterbarg, AndersenPiterbargOptCV, AsymptoticChF, OptimalCV }
Public Types inherited from Observer
typedef boost::unordered_set< ext::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator

## Public Member Functions

| ExponentialFittingHestonEngine (const ext::shared_ptr< HestonModel > &model, ControlVariate cv=OptimalCV, Real scaling=Null< Real >())
void | calculate () const
Public Member Functions inherited from GenericModelEngine< HestonModel, VanillaOption::arguments, VanillaOption::results >
| GenericModelEngine (const Handle< HestonModel > &model=Handle< HestonModel >())
| GenericModelEngine (const ext::shared_ptr< HestonModel > &model)
Public Member Functions inherited from GenericEngine< VanillaOption::arguments, VanillaOption::results >
PricingEngine::arguments * | getArguments () const
const PricingEngine::results * | getResults () const
void | reset ()
void | update ()
Public Member Functions inherited from PricingEngine
virtual arguments * | getArguments () const =0
virtual const results * | getResults () const =0
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const ext::shared_ptr< Observable > &)
void | registerWithObservables (const ext::shared_ptr< Observer > &)
Size | unregisterWith (const ext::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()

## Additional Inherited Members

Protected Attributes inherited from GenericModelEngine< HestonModel, VanillaOption::arguments, VanillaOption::results >
Handle< HestonModel > | model_
Protected Attributes inherited from GenericEngine< VanillaOption::arguments, VanillaOption::results >
VanillaOption::arguments | arguments_
VanillaOption::results | results_

## Detailed Description

analytic Heston-model engine based on

References: D. Conte, L. Ixaru, B. Paternoster, G. Santomauro, 2014 Exponentially-fitted Gauss–Laguerre quadrature rule for integrals over an unbounded interval

For adaptation details see https://hpcquantlib.wordpress.com/2020/05/17/optimized-heston-model-integration-exponentially-fitted-gauss-laguerre-quadrature-rule/